<?php
/*
 * This file is part of the CampaignChain package.
 *
 * (c) CampaignChain, Inc. <info@campaignchain.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace CampaignChain\CoreBundle\Repository;

use CampaignChain\CoreBundle\Entity\ActivityModule;
use Doctrine\ORM\EntityRepository;

/**
 * ChannelRepository
 *
 * This class was generated by the PhpStorm "Php Annotations" Plugin. Add your own custom
 * repository methods below.
 */
class ChannelRepository extends EntityRepository
{
    public function findRegisteredModulesByActivityModule(ActivityModule $activityModule)
    {
        return $this->createQueryBuilder('channelRepository')
            ->select('channelRepository')
            ->join('channelRepository.activityModules', 'activityModule')
            ->where('activityModule = :activityModule')
            ->setParameter('activityModule', $activityModule)
            ->getQuery()
            ->getResult();
    }
}
